geotronk2 = function(k, n, p){
  distribX <- rep(NA, n + 1)
  names(distribX) <- 0:n
  distribX[1] <- (1 - p)^n
  distribX[2:(n + 1)] <- (1 - p)^((1:n) - 1) * p
  proba <- distribX[k + 1]
  return(proba)
}

plot(0:10, distribX, type = "h", col = "red", lwd = 2,
	  main = "Distribution de la loi gomtrique tronque de paramtres n = 10 et p = 0,3",
	  xlab = "Valeurs de la variable",
	  ylab = "Probabilits")
  grid()


plot(0:10, repartX, type = "h", col = "red", lwd = 2,
	  main = "Rpartition de la loi gomtrique tronque de paramtres n = 10 et p = 0,3",
	  xlab = "Valeurs de la variable",
	  ylab = "Probabilits cumules")
grid()

